REM Scrittura di INFODATI con la massima lunghezza record del file dei dati
LungRec %3 %1INFODATI.%2

REM Primo programma del controllo delle regole

REM  Eliminazione dei file di output della fase eventualmente presenti

IF EXIST %1syscon.%2 del %1syscon.%2
IF EXIST %1sysela.%2 del %1sysela.%2
IF EXIST %1tabvarf.%2 del %1tabvarf.%2
IF EXIST %1minset.%2 del %1minset.%2
IF EXIST %1serice.%2 del %1serice.%2
IF EXIST %1minice.%2 del %1minice.%2
echo CONCORD - CONTROL OF RULES - CONTREG > %1pippo.txt
contreg %1 %2 
IF errorlevel    goto end
goto check2
:check2
REM Secondo programma del controllo delle regole
echo CONCORD - CONTROL OF RULES - GENREG > %1pippo.txt
IF EXIST %1sysela.%2 	del %1sysela.%2
genreg %1 %2 
 
:end
if not exist %1syscon.%2    echo ended normally >> %1pippo.txt
copy  %1pippo.txt+%1syscon.%2 %1syscon2.%2
move %1syscon2.%2 %1syscon.%2 
